Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
CRUD and test endpoints for webhook configuration
GET /api/projects/:projectId/webhooks
[ { "id": 1, "projectId": 1, "platform": "slack", "url": "https://hooks.slack.com/services/...", "events": ["task:completed", "task:approved"], "enabled": true } ]
GET /api/projects/:projectId/webhooks/:id
POST /api/projects/:projectId/webhooks Content-Type: application/json
{ "platform": "slack", "url": "https://hooks.slack.com/services/T00/B00/xxx", "events": ["task:completed", "task:approved"], "enabled": true }
platform
slack
discord
teams
custom
url
events
enabled
true
task:created
task:started
task:completed
task:approved
task:changes_requested
PUT /api/projects/:projectId/webhooks/:id Content-Type: application/json
DELETE /api/projects/:projectId/webhooks/:id
POST /api/projects/:projectId/webhooks/:id/test